/*  GFC-UI: GTK+ Foundation Classes (User Interface Library)
 *  Copyright (C) 2003-2004 The GFC Development Team.
 *
 *  objectfactory.inl - Atk::ObjectFactory inline functions
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU Library General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

inline AtkObjectFactory*
GFC::Atk::ObjectFactory::atk_object_factory() const
{
	return reinterpret_cast<AtkObjectFactory*>(instance_);
}

inline GFC::Atk::ObjectFactory::operator AtkObjectFactory* () const
{
	return this ? atk_object_factory() : 0;
}

inline GType
GFC::Atk::ObjectFactory::get_accessible_type() const
{
	return atk_object_factory_get_accessible_type(atk_object_factory());
}

inline void
GFC::Atk::ObjectFactory::invalidate()
{
	atk_object_factory_invalidate(atk_object_factory());
}

