/*  GFC-UI: GTK+ Foundation Classes (User Interface Library)
 *  Copyright (C) 2003-2004 The GFC Development Team.
 *
 *  registry.inl - Atk::Registry inline functions
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU Library General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

inline AtkRegistry*
GFC::Atk::Registry::atk_registry() const
{
	return reinterpret_cast<AtkRegistry*>(instance_);
}

inline GFC::Atk::Registry::operator AtkRegistry* () const
{
	return this ? atk_registry() : 0;
}

inline GType
GFC::Atk::Registry::get_factory_type(GType type) const
{
	return atk_registry_get_factory_type(atk_registry(), type);
}

inline void
GFC::Atk::Registry::set_factory_type(GType type, GType factory_type)
{
 	atk_registry_set_factory_type(atk_registry(), type, factory_type);
}

