/*  GFC-UI: GTK+ Foundation Classes (User Interface Library)
 *  Copyright (C) 2004 The GFC Development Team.
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU Library General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

/// @file gfc/gdk/gdk.hh
/// @brief Main Gdk header file
///
/// This header file includes all the Gdk header files. You can safely include
/// this header file only, with minimal extra overhead, because each header file
/// uses include guards to prevent multiple inclusions.

#ifndef GFC_GDK_HH
#define GFC_GDK_HH

#include <gfc/gdk/color.hh>
#include <gfc/gdk/cursor.hh>
#include <gfc/gdk/display.hh>
#include <gfc/gdk/displaymanager.hh>
#include <gfc/gdk/dnd.hh>
#include <gfc/gdk/image.hh>
#include <gfc/gdk/input.hh>
#include <gfc/gdk/keymap.hh>
#include <gfc/gdk/keyval.hh>
#include <gfc/gdk/pixmap.hh>
#include <gfc/gdk/region.hh>
#include <gfc/gdk/screen.hh>
#include <gfc/gdk/spawn.hh>
#include <gfc/gdk/visual.hh>
#include <gfc/gdk/window.hh>

#endif // GFC_GDK_HH

