/*  GFC-UI: GTK+ Foundation Classes (User Interface Library)
 *  Copyright (C) 2004 The GFC Development Team.
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU Library General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

/// @file gfc/gtk/gtk.hh
/// @brief Main Gtk header file
///
/// This header file includes all the Gtk header files. You can safely include
/// this header file only, with minimal extra overhead, because each header file
/// uses include guards to prevent multiple inclusions.

#ifndef GFC_GTK_HH
#define GFC_GTK_HH

#include <gfc/gtk/accellabel.hh>
#include <gfc/gtk/accelmap.hh>
#include <gfc/gtk/accessible.hh>
#include <gfc/gtk/alignment.hh>
#include <gfc/gtk/arrow.hh>
#include <gfc/gtk/aspectframe.hh>
#include <gfc/gtk/buttonbox.hh>
#include <gfc/gtk/calendar.hh>
#include <gfc/gtk/clipboard.hh>
#include <gfc/gtk/colorbutton.hh>
#include <gfc/gtk/colorselection.hh>
#include <gfc/gtk/comboboxentry.hh>
#include <gfc/gtk/curve.hh>
#include <gfc/gtk/entrycompletion.hh>
#include <gfc/gtk/eventbox.hh>
#include <gfc/gtk/expander.hh>
#include <gfc/gtk/filechooserdialog.hh>
#include <gfc/gtk/filechooserwidget.hh>
#include <gfc/gtk/fixed.hh>
#include <gfc/gtk/fontbutton.hh>
#include <gfc/gtk/fontselection.hh>
#include <gfc/gtk/gammacurve.hh>
#include <gfc/gtk/gc.hh>
#include <gfc/gtk/handlebox.hh>
#include <gfc/gtk/iconfactory.hh>
#include <gfc/gtk/icontheme.hh>
#include <gfc/gtk/image.hh>
#include <gfc/gtk/imagemenuitem.hh>
#include <gfc/gtk/invisible.hh>
#include <gfc/gtk/item.hh>
#include <gfc/gtk/layout.hh>
#include <gfc/gtk/liststore.hh>
#include <gfc/gtk/menu.hh>
#include <gfc/gtk/menubar.hh>
#include <gfc/gtk/messagedialog.hh>
#include <gfc/gtk/notebook.hh>
#include <gfc/gtk/paned.hh>
#include <gfc/gtk/plug.hh>
#include <gfc/gtk/progressbar.hh>
#include <gfc/gtk/radiobutton.hh>
#include <gfc/gtk/radiomenuitem.hh>
#include <gfc/gtk/rc.hh>
#include <gfc/gtk/ruler.hh>
#include <gfc/gtk/scale.hh>
#include <gfc/gtk/scrollbar.hh>
#include <gfc/gtk/scrolledwindow.hh>
#include <gfc/gtk/selection.hh>
#include <gfc/gtk/separator.hh>
#include <gfc/gtk/separatormenuitem.hh>
#include <gfc/gtk/settings.hh>
#include <gfc/gtk/sizegroup.hh>
#include <gfc/gtk/socket.hh>
#include <gfc/gtk/spinbutton.hh>
#include <gfc/gtk/statusbar.hh>
#include <gfc/gtk/stock.hh>
#include <gfc/gtk/style.hh>
#include <gfc/gtk/table.hh>
#include <gfc/gtk/tearoffmenuitem.hh>
#include <gfc/gtk/textview.hh>
#include <gfc/gtk/toolbar.hh>
#include <gfc/gtk/tooltips.hh>
#include <gfc/gtk/treemodelsort.hh>
#include <gfc/gtk/treestore.hh>
#include <gfc/gtk/treeview.hh>
#include <gfc/gtk/uimanager.hh>
#include <gfc/gtk/viewport.hh>

#endif // GFC_GTK_HH

