/*  GFC-UI: GTK+ Foundation Classes (User Interface Library)
 *  Copyright (C) 2004 The GFC Development Team.
 *
 *  box.inl - Gtk::BoxChild inline functions
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU Library General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

inline GtkBoxChild*
GFC::Gtk::BoxChild::gtk_box_child() const
{
	return const_cast<GtkBoxChild*>(&child_);
}

inline bool
GFC::Gtk::BoxChild::expand() const
{
	return child_.expand;
}

inline bool
GFC::Gtk::BoxChild::fill() const
{
	return child_.fill;
}

inline unsigned int
GFC::Gtk::BoxChild::padding() const
{
	return child_.padding;
}

inline GFC::Gtk::PackType
GFC::Gtk::BoxChild::pack() const
{
	return (PackType)child_.pack;
}

