/*  GFC-UI: GTK+ Foundation Classes (User Interface Library)
 *  Copyright (C) 2003-2004 The GFC Development Team.
 *
 *  celleditable.inl - Gtk::CellEditable inline functions
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU Library General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

inline GtkCellEditable*
GFC::Gtk::CellEditable::gtk_cell_editable() const
{
	return reinterpret_cast<GtkCellEditable*>(instance_);
}

inline GFC::Gtk::CellEditable::operator GtkCellEditable* () const
{
	return this ? gtk_cell_editable() : 0;
}

inline void
GFC::Gtk::CellEditable::editing_done()
{
	gtk_cell_editable_editing_done(gtk_cell_editable());
}

inline void
GFC::Gtk::CellEditable::remove_widget()
{
	gtk_cell_editable_remove_widget(gtk_cell_editable());
}

inline const GFC::Gtk::CellEditable::EditingDoneSignalProxy
GFC::Gtk::CellEditable::sig_editing_done()
{
	return EditingDoneSignalProxy(this, &editing_done_signal);
}

inline const GFC::Gtk::CellEditable::RemoveWidgetSignalProxy
GFC::Gtk::CellEditable::sig_remove_widget()
{
	return RemoveWidgetSignalProxy(this, &remove_widget_signal);
}

