/*  GFC-UI: GTK+ Foundation Classes (User Interface Library)
 *  Copyright (C) 2003-2004 The GFC Development Team.
 *
 *  clipboard.inl - Gtk::Clipboard inline functions
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU Library General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

inline GtkClipboard*
GFC::Gtk::Clipboard::gtk_clipboard() const
{
	return reinterpret_cast<GtkClipboard*>(instance_);
}

inline GFC::Gtk::Clipboard::operator GtkClipboard* () const
{
	return this ? gtk_clipboard() : 0;
}

inline void
GFC::Gtk::Clipboard::clear()
{
	gtk_clipboard_clear(gtk_clipboard());
}

inline bool
GFC::Gtk::Clipboard::wait_is_text_available() const
{
	return gtk_clipboard_wait_is_text_available(gtk_clipboard());
}

