/*  GFC-UI: GTK+ Foundation Classes (User Interface Library)
 *  Copyright (C) 2004 The GFC Development Team.
 *
 *  icontheme.inl - Gtk::IconTheme inline functions
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU Library General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

/*  Gtk::IconInfo
 */

inline GtkIconInfo*
GFC::Gtk::IconInfo::gtk_icon_info() const
{
	return reinterpret_cast<GtkIconInfo*>(boxed_);
}

inline GFC::Gtk::IconInfo::operator GtkIconInfo* () const
{
	return this ? gtk_icon_info() : 0;
}

inline int 
GFC::Gtk::IconInfo::get_base_size() const
{
	return gtk_icon_info_get_base_size(gtk_icon_info());
}

inline bool
GFC::Gtk::IconInfo::has_attach_points() const
{
	return gtk_icon_info_get_attach_points(gtk_icon_info(), 0, 0);
}

/*  Gtk::IconTheme
 */

inline GtkIconTheme*
GFC::Gtk::IconTheme::gtk_icon_theme() const
{
	return reinterpret_cast<GtkIconTheme*>(instance_);
}

inline GFC::Gtk::IconTheme::operator GtkIconTheme* () const
{
	return this ? gtk_icon_theme() : 0;
}

inline bool 
GFC::Gtk::IconTheme::has_icon(const char *icon_name) const
{
	return gtk_icon_theme_has_icon(gtk_icon_theme(), icon_name);
}

inline void 
GFC::Gtk::IconTheme::append_search_path(const char *path)
{
	gtk_icon_theme_append_search_path(gtk_icon_theme(), path);
}
	
inline void 
GFC::Gtk::IconTheme::prepend_search_path(const char *path)
{
	gtk_icon_theme_prepend_search_path(gtk_icon_theme(), path);
}

inline void 
GFC::Gtk::IconTheme::set_custom_theme(const char *theme_name)
{
	gtk_icon_theme_set_custom_theme(gtk_icon_theme(), theme_name);
}

inline bool
GFC::Gtk::IconTheme::rescan_if_needed() 
{
	return gtk_icon_theme_rescan_if_needed(gtk_icon_theme());
}

inline const GFC::Gtk::IconTheme::ChangedSignalProxy
GFC::Gtk::IconTheme::sig_changed()
{
	return ChangedSignalProxy(this, &changed_signal);
}

