/*  GFC-UI: GTK+ Foundation Classes (User Interface Library)
 *  Copyright (C) 2003-2004 The GFC Development Team.
 *
 *  plug.inl - Gtk::Plug inline functions
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU Library General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

inline GtkPlug*
GFC::Gtk::Plug::gtk_plug() const
{
	return reinterpret_cast<GtkPlug*>(instance_);
}

inline GFC::Gtk::Plug::operator GtkPlug* () const
{
	return this ? gtk_plug() : 0;
}

inline bool
GFC::Gtk::Plug::same_app() const
{
	return gtk_plug()->same_app;
}

inline GdkNativeWindow
GFC::Gtk::Plug::get_id() const
{
	return gtk_plug_get_id(gtk_plug());
}

inline const GFC::Gtk::Plug::EmbeddedSignalProxy
GFC::Gtk::Plug::sig_embedded()
{
	return EmbeddedSignalProxy(this, &embedded_signal);
}

