/*  GFC-UI: GTK+ Foundation Classes (User Interface Library)
 *  Copyright (C) 2003-2004 The GFC Development Team.
 *
 *  settings.inl - Gtk::Settings inline functions
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU Library General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

inline GtkSettings*
GFC::Gtk::Settings::gtk_settings() const
{
	return reinterpret_cast<GtkSettings*>(instance_);
}

inline GFC::Gtk::Settings::operator GtkSettings* () const
{
	return this ? gtk_settings() : 0;
}

inline const GFC::Gtk::Settings::GtkDoubleClickTimePropertyProxy
GFC::Gtk::Settings::prop_gtk_double_click_time()
{
	return GtkDoubleClickTimePropertyProxy(this, &gtk_double_click_time_property);
}

inline const GFC::Gtk::Settings::GtkCursorBlinkPropertyProxy
GFC::Gtk::Settings::prop_gtk_cursor_blink()
{
	return GtkCursorBlinkPropertyProxy(this, &gtk_cursor_blink_property);
}

inline const GFC::Gtk::Settings::GtkCursorBlinkTimePropertyProxy
GFC::Gtk::Settings::prop_gtk_cursor_blink_time()
{
	return GtkCursorBlinkTimePropertyProxy(this, &gtk_cursor_blink_time_property);
}

inline const GFC::Gtk::Settings::GtkSplitCursorPropertyProxy
GFC::Gtk::Settings::prop_gtk_split_cursor()
{
	return GtkSplitCursorPropertyProxy(this, &gtk_split_cursor_property);
}

inline const GFC::Gtk::Settings::GtkThemeNamePropertyProxy
GFC::Gtk::Settings::prop_gtk_theme_name()
{
	return GtkThemeNamePropertyProxy(this, &gtk_theme_name_property);
}

inline const GFC::Gtk::Settings::GtkIconThemeNamePropertyProxy
GFC::Gtk::Settings::prop_gtk_icon_theme_name()
{
	return GtkIconThemeNamePropertyProxy(this, &gtk_icon_theme_name_property);
}

inline const GFC::Gtk::Settings::GtkKeyThemeNamePropertyProxy
GFC::Gtk::Settings::prop_gtk_key_theme_name()
{
	return GtkKeyThemeNamePropertyProxy(this, &gtk_key_theme_name_property);
}

inline const GFC::Gtk::Settings::GtkMenuBarAccelPropertyProxy
GFC::Gtk::Settings::prop_gtk_menu_bar_accel()
{
	return GtkMenuBarAccelPropertyProxy(this, &gtk_menu_bar_accel_property);
}

inline const GFC::Gtk::Settings::GtkDndDragThresholdPropertyProxy
GFC::Gtk::Settings::prop_gtk_dnd_drag_threshold()
{
	return GtkDndDragThresholdPropertyProxy(this, &gtk_dnd_drag_threshold_property);
}

inline const GFC::Gtk::Settings::GtkFontNamePropertyProxy
GFC::Gtk::Settings::prop_gtk_font_name()
{
	return GtkFontNamePropertyProxy(this, &gtk_font_name_property);
}

inline const GFC::Gtk::Settings::GtkIconSizesPropertyProxy
GFC::Gtk::Settings::prop_gtk_icon_sizes()
{
	return GtkIconSizesPropertyProxy(this, &gtk_icon_sizes_property);
}

