/*  GFC-UI: GTK+ Foundation Classes (User Interface Library)
 *  Copyright (C) 2003-2004 The GFC Development Team.
 *
 *  stock.inl - Gtk::StockItem inline functions
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU Library General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

inline GtkStockItem*
GFC::Gtk::StockItem::gtk_stock_item() const
{
	return const_cast<GtkStockItem*>(&item_);
}

inline GFC::Gtk::StockId
GFC::Gtk::StockItem::stock_id() const
{
	return item_.stock_id;
}

inline const char*
GFC::Gtk::StockItem::label() const
{
	return item_.label;
}

inline GFC::Gdk::ModifierTypeField
GFC::Gtk::StockItem::modifier() const
{
	return (Gdk::ModifierTypeField)item_.modifier;
}

inline unsigned int
GFC::Gtk::StockItem::keyval() const
{
	return item_.keyval;
}

inline const char*
GFC::Gtk::StockItem::translation_domain() const
{
	return item_.translation_domain;
}

