/*  GFC-UI: GTK+ Foundation Classes (User Interface Library)
 *  Copyright (C) 2004 The GFC Development Team.
 *
 *  actionclass.hh - Private interface
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU Library General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#ifndef GFC_GTK_ACTION_CLASS_H
#define GFC_GTK_ACTION_CLASS_H

namespace GFC {

namespace Gtk {

class ActionClass
{
public:
	static void init(GtkActionClass *g_class);

	static GtkActionClass* get_parent_class(void *instance);
	
	static GType get_type();

	static void* create(const char *name);

	static void activate_proxy(GtkAction *action);
};

} // namespace Gtk

} // namespace GFC

#endif // GFC_GTK_ACTION_CLASS_H

