/*  GFC-UI: GTK+ Foundation Classes (User Interface Library)
 *  Copyright (C) 2002-2004 The GFC Development Team.
 *
 *  treemodeliface.hh - Private interface
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU Library General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#ifndef GFC_GTK_TREE_MODEL_IFACE_HH
#define GFC_GTK_TREE_MODEL_IFACE_HH

namespace GFC {

namespace Gtk {

class TreeModelIface
{
public:
	static void init(GtkTreeModelIface *g_iface);

	static GtkTreeModelIface* get_parent_iface(void *instance);

	static void row_changed_proxy(GtkTreeModel *tree_model, GtkTreePath *path, GtkTreeIter *iter);

	static void row_inserted_proxy(GtkTreeModel *tree_model, GtkTreePath *path, GtkTreeIter *iter);

	static void row_has_child_toggled_proxy(GtkTreeModel *tree_model, GtkTreePath *path, GtkTreeIter *iter);

	static void row_deleted_proxy(GtkTreeModel *tree_model, GtkTreePath *path);

	static void rows_reordered_proxy(GtkTreeModel *tree_model, GtkTreePath *path, GtkTreeIter *iter, gint *new_order);
};

} // namespace Gtk

} // namespace GFC

#endif // GFC_GTK_TREE_MODEL_IFACE_HH

