/*  GFC-UI: GTK+ Foundation Classes (User Interface Library)
 *  Copyright (C) 2003-2004 The GFC Development Team.
 *
 *  context.inl - Pango::Context inline functions
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU Library General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

inline PangoContext*
GFC::Pango::Context::pango_context() const
{
	return reinterpret_cast<PangoContext*>(instance_);
}

inline GFC::Pango::Context::operator PangoContext* () const
{
	return this ? pango_context() : 0;
}

inline PangoLanguage*
GFC::Pango::Context::get_language() const
{
	return pango_context_get_language(pango_context());
}

inline GFC::Pango::Direction
GFC::Pango::Context::get_base_dir() const
{
	return (Direction)pango_context_get_base_dir(pango_context());
}

inline void
GFC::Pango::Context::set_language(PangoLanguage *language)
{
	pango_context_set_language(pango_context(), language);
}

inline void
GFC::Pango::Context::set_base_dir(Direction direction)
{
	pango_context_set_base_dir(pango_context(), (PangoDirection)direction);
}

