/*  GFC-UI: GTK+ Foundation Classes (User Interface Library)
 *  Copyright (C) 2004 The GFC Development Team.
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU Library General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

/// @file gfc/pango/pango.hh
/// @brief Main Pango header file
///
/// This header file includes all the Pango header files. You can safely include
/// this header file only, with minimal extra overhead, because each header file
/// uses include guards to prevent multiple inclusions.

#ifndef GFC_PANGO_HH
#define GFC_PANGO_HH

#include <gfc/pango/break.hh>
#include <gfc/pango/coverage.hh>
#include <gfc/pango/fontmap.hh>
#include <gfc/pango/fontset.hh>
#include <gfc/pango/glyph.hh>
#include <gfc/pango/layout.hh>
#include <gfc/pango/script.hh>

#endif // GFC_PANGO_HH

